- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists NetworkPaths for a given network monitoring provider.
HTTP request
GET https://networkmanagement.googleapis.com/v1alpha1/{parent=projects/*/locations/*/networkMonitoringProviders/*}/networkPaths
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListNetworkPathsRequest. Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider} Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of network paths to return. The service may return fewer than this value. If unspecified, at most 20 network pathswill be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Message for response to listing NetworkPaths
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"networkPaths": [
{
object ( |
| Fields | |
|---|---|
networkPaths[] |
The list of NetworkPath |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.